ParserTreeConstants (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.parser.ParserTreeConstants interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.parser
Interface ParserTreeConstants

All Known Implementing Classes:
  Parser

    public interface ParserTreeConstants

Field Summary
`static int` | `JJTADDITIVENODE`
`static int` | `JJTADDITIVEOPERATOR`
`static int` | `JJTAMBIGUOUS`
`static int` | `JJTANDNODE`
`static int` | `JJTARRAYACCESS`
`static int` | `JJTARRAYLITERAL`
`static int` | `JJTASSIGNMENT`
`static int` | `JJTBITWISEANDNODE`
`static int` | `JJTBITWISECOMPLNODE`
`static int` | `JJTBITWISEORNODE`
`static int` | `JJTBITWISEXORNODE`
`static int` | `JJTBLOCK`
`static int` | `JJTCONSTRUCTORNODE`
`static int` | `JJTDIVNODE`
`static int` | `JJTEMPTYFUNCTION`
`static int` | `JJTEQNODE`
`static int` | `JJTERNODE`
`static int` | `JJTFALSENODE`
`static int` | `JJTFLOATLITERAL`
`static int` | `JJTFOREACHSTATEMENT`
`static int` | `JJTFUNCTIONNODE`
`static int` | `JJTGENODE`
`static int` | `JJTGTNODE`
`static int` | `JJTIDENTIFIER`
`static int` | `JJTIFSTATEMENT`
`static int` | `JJTINTEGERLITERAL`
`static int` | `JJTJEXLSCRIPT`
`static int` | `JJTLENODE`
`static int` | `JJTLTNODE`
`static int` | `JJTMAPENTRY`
`static int` | `JJTMAPLITERAL`
`static int` | `JJTMETHODNODE`
`static int` | `JJTMODNODE`
`static int` | `JJTMULNODE`
`static int` | `JJTNENODE`
`static java.lang.String[]` | `jjtNodeName`
`static int` | `JJTNOTNODE`
`static int` | `JJTNRNODE`
`static int` | `JJTNULLLITERAL`
`static int` | `JJTORNODE`
`static int` | `JJTREFERENCE`
`static int` | `JJTSIZEFUNCTION`
`static int` | `JJTSIZEMETHOD`
`static int` | `JJTSTRINGLITERAL`
`static int` | `JJTTERNARYNODE`
`static int` | `JJTTRUENODE`
`static int` | `JJTUNARYMINUSNODE`
`static int` | `JJTVOID`
`static int` | `JJTWHILESTATEMENT`

Field Detail

### JJTJEXLSCRIPT

    static final int JJTJEXLSCRIPT

See Also:
  Constant Field Values

### JJTVOID

    static final int JJTVOID

See Also:
  Constant Field Values

### JJTBLOCK

    static final int JJTBLOCK

See Also:
  Constant Field Values

### JJTAMBIGUOUS

    static final int JJTAMBIGUOUS

See Also:
  Constant Field Values

### JJTIFSTATEMENT

    static final int JJTIFSTATEMENT

See Also:
  Constant Field Values

### JJTWHILESTATEMENT

    static final int JJTWHILESTATEMENT

See Also:
  Constant Field Values

### JJTFOREACHSTATEMENT

    static final int JJTFOREACHSTATEMENT

See Also:
  Constant Field Values

### JJTASSIGNMENT

    static final int JJTASSIGNMENT

See Also:
  Constant Field Values

### JJTTERNARYNODE

    static final int JJTTERNARYNODE

See Also:
  Constant Field Values

### JJTORNODE

    static final int JJTORNODE

See Also:
  Constant Field Values

### JJTANDNODE

    static final int JJTANDNODE

See Also:
  Constant Field Values

### JJTBITWISEORNODE

    static final int JJTBITWISEORNODE

See Also:
  Constant Field Values

### JJTBITWISEXORNODE

    static final int JJTBITWISEXORNODE

See Also:
  Constant Field Values

### JJTBITWISEANDNODE

    static final int JJTBITWISEANDNODE

See Also:
  Constant Field Values

### JJTEQNODE

    static final int JJTEQNODE

See Also:
  Constant Field Values

### JJTNENODE

    static final int JJTNENODE

See Also:
  Constant Field Values

### JJTLTNODE

    static final int JJTLTNODE

See Also:
  Constant Field Values

### JJTGTNODE

    static final int JJTGTNODE

See Also:
  Constant Field Values

### JJTLENODE

    static final int JJTLENODE

See Also:
  Constant Field Values

### JJTGENODE

    static final int JJTGENODE

See Also:
  Constant Field Values

### JJTERNODE

    static final int JJTERNODE

See Also:
  Constant Field Values

### JJTNRNODE

    static final int JJTNRNODE

See Also:
  Constant Field Values

### JJTADDITIVENODE

    static final int JJTADDITIVENODE

See Also:
  Constant Field Values

### JJTADDITIVEOPERATOR

    static final int JJTADDITIVEOPERATOR

See Also:
  Constant Field Values

### JJTMULNODE

    static final int JJTMULNODE

See Also:
  Constant Field Values

### JJTDIVNODE

    static final int JJTDIVNODE

See Also:
  Constant Field Values

### JJTMODNODE

    static final int JJTMODNODE

See Also:
  Constant Field Values

### JJTUNARYMINUSNODE

    static final int JJTUNARYMINUSNODE

See Also:
  Constant Field Values

### JJTBITWISECOMPLNODE

    static final int JJTBITWISECOMPLNODE

See Also:
  Constant Field Values

### JJTNOTNODE

    static final int JJTNOTNODE

See Also:
  Constant Field Values

### JJTIDENTIFIER

    static final int JJTIDENTIFIER

See Also:
  Constant Field Values

### JJTNULLLITERAL

    static final int JJTNULLLITERAL

See Also:
  Constant Field Values

### JJTTRUENODE

    static final int JJTTRUENODE

See Also:
  Constant Field Values

### JJTFALSENODE

    static final int JJTFALSENODE

See Also:
  Constant Field Values

### JJTINTEGERLITERAL

    static final int JJTINTEGERLITERAL

See Also:
  Constant Field Values

### JJTFLOATLITERAL

    static final int JJTFLOATLITERAL

See Also:
  Constant Field Values

### JJTSTRINGLITERAL

    static final int JJTSTRINGLITERAL

See Also:
  Constant Field Values

### JJTARRAYLITERAL

    static final int JJTARRAYLITERAL

See Also:
  Constant Field Values

### JJTMAPLITERAL

    static final int JJTMAPLITERAL

See Also:
  Constant Field Values

### JJTMAPENTRY

    static final int JJTMAPENTRY

See Also:
  Constant Field Values

### JJTEMPTYFUNCTION

    static final int JJTEMPTYFUNCTION

See Also:
  Constant Field Values

### JJTSIZEFUNCTION

    static final int JJTSIZEFUNCTION

See Also:
  Constant Field Values

### JJTFUNCTIONNODE

    static final int JJTFUNCTIONNODE

See Also:
  Constant Field Values

### JJTMETHODNODE

    static final int JJTMETHODNODE

See Also:
  Constant Field Values

### JJTSIZEMETHOD

    static final int JJTSIZEMETHOD

See Also:
  Constant Field Values

### JJTCONSTRUCTORNODE

    static final int JJTCONSTRUCTORNODE

See Also:
  Constant Field Values

### JJTARRAYACCESS

    static final int JJTARRAYACCESS

See Also:
  Constant Field Values

### JJTREFERENCE

    static final int JJTREFERENCE

See Also:
  Constant Field Values

### jjtNodeName

    static final java.lang.String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.